%% Experiment 02: Analysis of synthetic 'Rice' kernels

%% Statistical analysis

clear, clc, close all;

%load objects' features extracted by ImageJ
feat = importdata('ex02.txt');
area = feat.data(:,2);
perim = feat.data(:,3);
circ = feat.data(:,4);
maxf = feat.data(:,5); % max Feret's diameter
angf = feat.data(:,8); % Feret's angle
minf = feat.data(:,9); % min Feret's diameter
asrat = feat.data(:,10);
round = feat.data(:,11);
solid = feat.data(:,12);

%% Particle Size Distributions (PSDs)
% Number weighted distributions
% we use area, perimeter and aspec ratio (min Feret/max Feret)

figure('Name','PSD (number weighthed)', 'NumberTitle','off');
subplot(1,3,1), hist(area, 100), xlabel('area (mm^2)'), ylabel('objects');
subplot(1,3,2), hist(perim, 100); xlabel('perimeter (mm)');
subplot(1,3,3), hist(asrat, 100); xlabel('aspect ratio');
%subplot(2,3,4), hist(circ, 100); xlabel('shape factor');
%subplot(2,3,5), hist(maxf, 100), xlabel('max Feret'), ylabel('objects');
%subplot(2,3,6), hist(minf, 100), xlabel('min Feret');

%scatter plots
figure('Name','Scatter plot', 'NumberTitle','off');
scatter(area, perim, '.b');
xlabel('area (mm^2)'), ylabel('perimetre (mm)');

figure('Name','Scatter plot', 'NumberTitle','off');
scatter(area, asrat, '.b');
xlabel('area (mm^2)'), ylabel('aspect ratio');

figure('Name','Scatter plot', 'NumberTitle','off');
scatter(perim, asrat, '.b');
xlabel('perimetre (mm)'), ylabel('aspect ratio');

figure('Name','Scatter plot', 'NumberTitle','off');
scatter3(area, perim, asrat, '.b');
xlabel('area (mm^2)'), ylabel('perimetre (mm)'), zlabel('aspect ratio');